Subject: Re: protocol: ASN.1 grammar changes for extensibility

From: Steven Legg <[email-masked]>
Date: Thu, 06 Jan 2005 17:02:26 +1100

Hallvard,

Hallvard B Furuseth wrote:
> I pointed out recently that With the latest [LDAPIANA], this:
>    4. Elements of Protocol 
>       ellipses (...) 
>       have been supplied in ASN.1 types that are explicitly extensible as 
>       discussed in [LDAPIANA].
> 
> in protocol-27 was no longer true for Search Scope, Filter Choice and
> ModifyRequest Operation Type.  I meant to suggest fixing that text, but
> Jim fixed the grammar instead:-)
> 
> The grammar now has '...' for SearchRequest.scope (ENUMERATED),
> Filter (CHOICE) and ModifyRequest.changes.operation (ENUMERATED).
> Are there any ASN.1 encodings where this will be encoded differently
> from the original grammar?

The changes will only affect PER encodings. I'm not aware of anyone using
PER encodings of LDAP protocol messages.

Regards,
Steven